Skip to main content
GET
/
orgs
/
{organization}
/
sites
/
{site}
Get site
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/sites/{site}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "data": {
    "id": "<string>",
    "type": "sites",
    "links": {
      "self": {
        "href": "<string>",
        "rel": "<string>",
        "describedby": "<string>",
        "title": "<string>",
        "type": "<string>",
        "hreflang": "<string>",
        "meta": {}
      }
    },
    "attributes": {
      "name": "<string>",
      "url": "<string>",
      "user": "<string>",
      "https": true,
      "web_directory": "<string>",
      "root_directory": "<string>",
      "aliases": [
        "<unknown>"
      ],
      "php_version": "<string>",
      "deployment_status": "<string>",
      "quick_deploy": true,
      "isolated": true,
      "shared_paths": {},
      "repository": {
        "provider": "<string>",
        "url": "<string>",
        "branch": "<string>"
      },
      "database": "<string>",
      "maintenance_mode": {
        "enabled": true
      },
      "zero_downtime_deployments": true,
      "deployment_script": "<string>",
      "wildcards": true,
      "uses_envoyer": true,
      "deployment_url": "<string>",
      "healthcheck_url": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "server": {
        "data": {
          "type": "servers",
          "id": "<string>"
        }
      },
      "tags": {
        "data": [
          {
            "type": "tags",
            "id": "<string>"
          }
        ]
      },
      "latestDeployment": {
        "data": {
          "type": "deployments",
          "id": "<string>"
        }
      },
      "securityRules": {
        "data": [
          {
            "type": "securityRules",
            "id": "<string>"
          }
        ]
      },
      "redirectRules": {
        "data": [
          {
            "type": "redirect-rules",
            "id": "<string>"
          }
        ]
      }
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "servers",
      "links": {
        "self": {
          "href": "<string>",
          "rel": "<string>",
          "describedby": "<string>",
          "title": "<string>",
          "type": "<string>",
          "hreflang": "<string>",
          "meta": {}
        }
      },
      "attributes": {
        "id": 123,
        "credential_id": 123,
        "name": "<string>",
        "slug": "<string>",
        "ubuntu_version": "<string>",
        "ssh_port": 123,
        "provider": "<string>",
        "identifier": "<string>",
        "size": "<string>",
        "region": "<string>",
        "php_version": "<string>",
        "php_cli_version": "<string>",
        "opcache_status": "<string>",
        "database_type": "<string>",
        "db_status": "<string>",
        "redis_status": "<string>",
        "ip_address": "<string>",
        "private_ip_address": "<string>",
        "revoked": true,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "connection_status": "<string>",
        "timezone": "<string>",
        "local_public_key": "<string>",
        "is_ready": true
      },
      "relationships": {
        "tags": {
          "data": [
            {
              "type": "tags",
              "id": "<string>"
            }
          ]
        }
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

The organization slug

site
integer
required

The site ID

Response

SiteResource

data
SiteResource · object
required
included
(ServerResource · object | TagResource · object | DeploymentResource · object | SecurityRuleResource · object | RedirectRuleResource · object)[]